Index: XIOS/trunk/src/parse_expr/yacc_parser.cpp
===================================================================
--- XIOS/trunk/src/parse_expr/yacc_parser.cpp	(revision 1001)
+++ XIOS/trunk/src/parse_expr/yacc_parser.cpp	(revision 1019)
@@ -1332,311 +1495,336 @@
     {
         case 2:
-#line 61 "yacc_parser.yacc" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 61 "yacc_parser.yacc"
     { /* Nothing to do */ }
-#line 1337 "yacc_parser.cpp" /* yacc.c:1646  */
     break;
 
   case 3:
-#line 62 "yacc_parser.yacc" /* yacc.c:1646  */
-    { parsed = (yyvsp[-1].filterNode); }
-#line 1343 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 62 "yacc_parser.yacc"
+    { parsed = (yyvsp[(1) - (2)].filterNode); }
     break;
 
   case 4:
-#line 66 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarValExprNode(*(yyvsp[0].str)); delete (yyvsp[0].str); }
-#line 1349 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 66 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarValExprNode(*(yyvsp[(1) - (1)].str)); delete (yyvsp[(1) - (1)].str); }
     break;
 
   case 5:
-#line 67 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarVarExprNode(*(yyvsp[0].str)); delete (yyvsp[0].str); }
-#line 1355 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 67 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarVarExprNode(*(yyvsp[(1) - (1)].str)); delete (yyvsp[(1) - (1)].str); }
     break;
 
   case 6:
-#line 68 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "add", (yyvsp[0].scalarNode)); }
-#line 1361 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 68 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "add", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 7:
-#line 69 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "minus", (yyvsp[0].scalarNode)); }
-#line 1367 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 69 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "minus", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 8:
-#line 70 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "mult", (yyvsp[0].scalarNode)); }
-#line 1373 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 70 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "mult", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 9:
-#line 71 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "div", (yyvsp[0].scalarNode)); }
-#line 1379 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 71 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "div", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 10:
-#line 72 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarUnaryOpExprNode("neg", (yyvsp[0].scalarNode)); }
-#line 1385 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 72 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarUnaryOpExprNode("neg", (yyvsp[(2) - (2)].scalarNode)); }
     break;
 
   case 11:
-#line 73 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "pow", (yyvsp[0].scalarNode)); }
-#line 1391 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 73 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "pow", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 12:
-#line 74 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "eq", (yyvsp[0].scalarNode)); }
-#line 1397 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 74 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "eq", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 13:
-#line 75 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "lt", (yyvsp[0].scalarNode)); }
-#line 1403 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 75 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "lt", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 14:
-#line 76 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "gt", (yyvsp[0].scalarNode)); }
-#line 1409 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 76 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "gt", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 15:
-#line 77 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "le", (yyvsp[0].scalarNode)); }
-#line 1415 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 77 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "le", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 16:
-#line 78 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[-2].scalarNode), "ge", (yyvsp[0].scalarNode)); }
-#line 1421 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 78 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "ge", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 17:
-#line 79 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = (yyvsp[-1].scalarNode); }
-#line 1427 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 79 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarBinaryOpExprNode((yyvsp[(1) - (3)].scalarNode), "ne", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 18:
-#line 80 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.scalarNode) = new CScalarUnaryOpExprNode(*(yyvsp[-3].str), (yyvsp[-1].scalarNode)); delete (yyvsp[-3].str); }
-#line 1433 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 80 "yacc_parser.yacc"
+    { (yyval.scalarNode) = (yyvsp[(2) - (3)].scalarNode); }
     break;
 
   case 19:
-#line 84 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldExprNode(*(yyvsp[0].str)); delete (yyvsp[0].str); }
-#line 1439 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 81 "yacc_parser.yacc"
+    { (yyval.scalarNode) = new CScalarUnaryOpExprNode(*(yyvsp[(1) - (4)].str), (yyvsp[(3) - (4)].scalarNode)); delete (yyvsp[(1) - (4)].str); }
     break;
 
   case 20:
-#line 85 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterTemporalFieldExprNode(*(yyvsp[0].str)); delete (yyvsp[0].str); }
-#line 1445 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 85 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldExprNode(*(yyvsp[(1) - (1)].str)); delete (yyvsp[(1) - (1)].str); }
     break;
 
   case 21:
-#line 86 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "add", (yyvsp[0].filterNode)); }
-#line 1451 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 86 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterTemporalFieldExprNode(*(yyvsp[(1) - (1)].str)); delete (yyvsp[(1) - (1)].str); }
     break;
 
   case 22:
-#line 87 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "minus", (yyvsp[0].filterNode)); }
-#line 1457 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 87 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "add", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 23:
-#line 88 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "mult", (yyvsp[0].filterNode)); }
-#line 1463 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 88 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "minus", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 24:
-#line 89 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "div", (yyvsp[0].filterNode)); }
-#line 1469 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 89 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "mult", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 25:
-#line 90 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterUnaryOpExprNode("neg", (yyvsp[0].filterNode)); }
-#line 1475 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 90 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "div", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 26:
-#line 91 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "pow", (yyvsp[0].filterNode)); }
-#line 1481 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 91 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterUnaryOpExprNode("neg", (yyvsp[(2) - (2)].filterNode)); }
     break;
 
   case 27:
-#line 92 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "eq", (yyvsp[0].filterNode)); }
-#line 1487 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 92 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "pow", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 28:
-#line 93 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "lt", (yyvsp[0].filterNode)); }
-#line 1493 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 93 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "eq", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 29:
-#line 94 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "gt", (yyvsp[0].filterNode)); }
-#line 1499 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 94 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "lt", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 30:
-#line 95 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "le", (yyvsp[0].filterNode)); }
-#line 1505 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 95 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "gt", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 31:
-#line 96 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[-2].filterNode), "ge", (yyvsp[0].filterNode)); }
-#line 1511 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 96 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "le", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 32:
-#line 97 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = (yyvsp[-1].filterNode); }
-#line 1517 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 97 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "ge", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 33:
-#line 98 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "add", (yyvsp[0].scalarNode)); }
-#line 1523 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 98 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldFieldOpExprNode((yyvsp[(1) - (3)].filterNode), "ne", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 34:
-#line 99 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "add", (yyvsp[0].filterNode)); }
-#line 1529 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 99 "yacc_parser.yacc"
+    { (yyval.filterNode) = (yyvsp[(2) - (3)].filterNode); }
     break;
 
   case 35:
-#line 100 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "minus", (yyvsp[0].scalarNode)); }
-#line 1535 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 100 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "add", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 36:
-#line 101 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "minus", (yyvsp[0].filterNode)); }
-#line 1541 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 101 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "add", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 37:
-#line 102 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "mult", (yyvsp[0].scalarNode)); }
-#line 1547 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 102 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "minus", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 38:
-#line 103 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "mult", (yyvsp[0].filterNode)); }
-#line 1553 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 103 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "minus", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 39:
-#line 104 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "div", (yyvsp[0].scalarNode)); }
-#line 1559 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 104 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "mult", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 40:
-#line 105 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "div", (yyvsp[0].filterNode)); }
-#line 1565 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 105 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "mult", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 41:
-#line 106 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "pow", (yyvsp[0].scalarNode)); }
-#line 1571 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 106 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "div", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 42:
-#line 107 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "eq", (yyvsp[0].scalarNode)); }
-#line 1577 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 107 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "div", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 43:
-#line 108 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "eq", (yyvsp[0].filterNode)); }
-#line 1583 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 108 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "pow", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 44:
-#line 109 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "lt", (yyvsp[0].scalarNode)); }
-#line 1589 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 109 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "eq", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 45:
-#line 110 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "lt", (yyvsp[0].filterNode)); }
-#line 1595 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 110 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "eq", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 46:
-#line 111 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "gt", (yyvsp[0].scalarNode)); }
-#line 1601 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 111 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "lt", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 47:
-#line 112 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "gt", (yyvsp[0].filterNode)); }
-#line 1607 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 112 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "lt", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 48:
-#line 113 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "le", (yyvsp[0].scalarNode)); }
-#line 1613 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 113 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "gt", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 49:
-#line 114 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "le", (yyvsp[0].filterNode)); }
-#line 1619 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 114 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "gt", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 50:
-#line 115 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[-2].filterNode), "ge", (yyvsp[0].scalarNode)); }
-#line 1625 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 115 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "le", (yyvsp[(3) - (3)].scalarNode)); }
     break;
 
   case 51:
-#line 116 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[-2].scalarNode), "ge", (yyvsp[0].filterNode)); }
-#line 1631 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 116 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "le", (yyvsp[(3) - (3)].filterNode)); }
     break;
 
   case 52:
-#line 117 "yacc_parser.yacc" /* yacc.c:1646  */
-    { (yyval.filterNode) = new CFilterUnaryOpExprNode(*(yyvsp[-3].str), (yyvsp[-1].filterNode)); delete (yyvsp[-3].str); }
-#line 1637 "yacc_parser.cpp" /* yacc.c:1646  */
-    break;
-
-
-#line 1641 "yacc_parser.cpp" /* yacc.c:1646  */
+/* Line 1792 of yacc.c  */
+#line 117 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "ge", (yyvsp[(3) - (3)].scalarNode)); }
+    break;
+
+  case 53:
+/* Line 1792 of yacc.c  */
+#line 118 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "ge", (yyvsp[(3) - (3)].filterNode)); }
+    break;
+
+  case 54:
+/* Line 1792 of yacc.c  */
+#line 119 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterFieldScalarOpExprNode((yyvsp[(1) - (3)].filterNode), "ne", (yyvsp[(3) - (3)].scalarNode)); }
+    break;
+
+  case 55:
+/* Line 1792 of yacc.c  */
+#line 120 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterScalarFieldOpExprNode((yyvsp[(1) - (3)].scalarNode), "ne", (yyvsp[(3) - (3)].filterNode)); }
+    break;
+
+  case 56:
+/* Line 1792 of yacc.c  */
+#line 121 "yacc_parser.yacc"
+    { (yyval.filterNode) = new CFilterUnaryOpExprNode(*(yyvsp[(1) - (4)].str), (yyvsp[(3) - (4)].filterNode)); delete (yyvsp[(1) - (4)].str); }
+    break;
+
+
+/* Line 1792 of yacc.c  */
+#line 1829 "yacc_parser.cpp"
       default: break;
     }
@@ -1660,5 +1848,5 @@
   *++yyvsp = yyval;
 
-  /* Now 'shift' the result of the reduction.  Determine what state
+  /* Now `shift' the result of the reduction.  Determine what state
      that goes to, based on the state we popped back to and the rule
      number reduced by.  */
@@ -1675,7 +1863,7 @@
 
 
-/*--------------------------------------.
-| yyerrlab -- here on detecting error.  |
-`--------------------------------------*/
+/*------------------------------------.
+| yyerrlab -- here on detecting error |
+`------------------------------------*/
 yyerrlab:
   /* Make sure we have latest lookahead translation.  See comments at
@@ -1728,18 +1916,18 @@
     {
       /* If just tried and failed to reuse lookahead token after an
-         error, discard it.  */
+	 error, discard it.  */
 
       if (yychar <= YYEOF)
-        {
-          /* Return failure if at end of input.  */
-          if (yychar == YYEOF)
-            YYABORT;
-        }
+	{
+	  /* Return failure if at end of input.  */
+	  if (yychar == YYEOF)
+	    YYABORT;
+	}
       else
-        {
-          yydestruct ("Error: discarding",
-                      yytoken, &yylval);
-          yychar = YYEMPTY;
-        }
+	{
+	  yydestruct ("Error: discarding",
+		      yytoken, &yylval);
+	  yychar = YYEMPTY;
+	}
     }
 
@@ -1760,5 +1948,5 @@
      goto yyerrorlab;
 
-  /* Do not reclaim the symbols of the rule whose action triggered
+  /* Do not reclaim the symbols of the rule which action triggered
      this YYERROR.  */
   YYPOPSTACK (yylen);
@@ -1773,5 +1961,5 @@
 `-------------------------------------------------------------*/
 yyerrlab1:
-  yyerrstatus = 3;      /* Each real token shifted decrements this.  */
+  yyerrstatus = 3;	/* Each real token shifted decrements this.  */
 
   for (;;)
@@ -1779,21 +1967,21 @@
       yyn = yypact[yystate];
       if (!yypact_value_is_default (yyn))
-        {
-          yyn += YYTERROR;
-          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
-            {
-              yyn = yytable[yyn];
-              if (0 < yyn)
-                break;
-            }
-        }
+	{
+	  yyn += YYTERROR;
+	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
+	    {
+	      yyn = yytable[yyn];
+	      if (0 < yyn)
+		break;
+	    }
+	}
 
       /* Pop the current state because it cannot handle the error token.  */
       if (yyssp == yyss)
-        YYABORT;
+	YYABORT;
 
 
       yydestruct ("Error: popping",
-                  yystos[yystate], yyvsp);
+		  yystos[yystate], yyvsp);
       YYPOPSTACK (1);
       yystate = *yyssp;
@@ -1846,5 +2034,5 @@
                   yytoken, &yylval);
     }
-  /* Do not reclaim the symbols of the rule whose action triggered
+  /* Do not reclaim the symbols of the rule which action triggered
      this YYABORT or YYACCEPT.  */
   YYPOPSTACK (yylen);
@@ -1853,5 +2041,5 @@
     {
       yydestruct ("Cleanup: popping",
-                  yystos[*yyssp], yyvsp);
+		  yystos[*yyssp], yyvsp);
       YYPOPSTACK (1);
     }
@@ -1864,7 +2052,11 @@
     YYSTACK_FREE (yymsg);
 #endif
-  return yyresult;
+  /* Make sure YYID is used.  */
+  return YYID (yyresult);
 }
-#line 119 "yacc_parser.yacc" /* yacc.c:1906  */
+
+
+/* Line 2055 of yacc.c  */
+#line 123 "yacc_parser.yacc"
 
 
Index: XIOS/trunk/src/parse_expr/yacc_parser.hpp
===================================================================
--- XIOS/trunk/src/parse_expr/yacc_parser.hpp	(revision 1001)
+++ XIOS/trunk/src/parse_expr/yacc_parser.hpp	(revision 1019)
@@ -1,18 +1,18 @@
-/* A Bison parser, made by GNU Bison 3.0.2.  */
+/* A Bison parser, made by GNU Bison 2.7.  */
 
 /* Bison interface for Yacc-like parsers in C
-
-   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.
-
+   
+      Copyright (C) 1984, 1989-1990, 2000-2012 Free Software Foundation, Inc.
+   
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
-
+   
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
-
+   
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
@@ -27,5 +27,5 @@
    Bison output files to be licensed under the GNU General Public
    License without this special exception.
-
+   
    This special exception was added by the Free Software Foundation in
    version 2.2 of Bison.  */
@@ -33,5 +33,5 @@
 #ifndef YY_YY_YACC_PARSER_HPP_INCLUDED
 # define YY_YY_YACC_PARSER_HPP_INCLUDED
-/* Debug traces.  */
+/* Enabling traces.  */
 #ifndef YYDEBUG
 # define YYDEBUG 0
@@ -41,36 +41,38 @@
 #endif
 
-/* Token type.  */
+/* Tokens.  */
 #ifndef YYTOKENTYPE
 # define YYTOKENTYPE
-  enum yytokentype
-  {
-    NUMBER = 258,
-    VAR = 259,
-    ID = 260,
-    AVERAGE = 261,
-    PLUS = 262,
-    MINUS = 263,
-    TIMES = 264,
-    DIVIDE = 265,
-    POWER = 266,
-    EQ = 267,
-    LT = 268,
-    GT = 269,
-    LE = 270,
-    GE = 271,
-    LEFT_PARENTHESIS = 272,
-    RIGHT_PARENTHESIS = 273,
-    END = 274,
-    NEG = 275
-  };
+   /* Put the tokens into the symbol table, so that GDB and other debuggers
+      know about them.  */
+   enum yytokentype {
+     NUMBER = 258,
+     VAR = 259,
+     ID = 260,
+     AVERAGE = 261,
+     PLUS = 262,
+     MINUS = 263,
+     TIMES = 264,
+     DIVIDE = 265,
+     POWER = 266,
+     EQ = 267,
+     LT = 268,
+     GT = 269,
+     LE = 270,
+     GE = 271,
+     NE = 272,
+     LEFT_PARENTHESIS = 273,
+     RIGHT_PARENTHESIS = 274,
+     END = 275,
+     NEG = 276
+   };
 #endif
 
-/* Value type.  */
+
 #if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
-typedef union YYSTYPE YYSTYPE;
-union YYSTYPE
+typedef union YYSTYPE
 {
-#line 35 "yacc_parser.yacc" /* yacc.c:1909  */
+/* Line 2058 of yacc.c  */
+#line 35 "yacc_parser.yacc"
 
   std::string* str;                /* symbol table index */
@@ -78,14 +80,28 @@
   xios::IFilterExprNode* filterNode;
 
-#line 81 "yacc_parser.hpp" /* yacc.c:1909  */
-};
+
+/* Line 2058 of yacc.c  */
+#line 85 "yacc_parser.hpp"
+} YYSTYPE;
 # define YYSTYPE_IS_TRIVIAL 1
+# define yystype YYSTYPE /* obsolescent; will be withdrawn */
 # define YYSTYPE_IS_DECLARED 1
 #endif
 
-
 extern YYSTYPE yylval;
 
+#ifdef YYPARSE_PARAM
+#if defined __STDC__ || defined __cplusplus
+int yyparse (void *YYPARSE_PARAM);
+#else
+int yyparse ();
+#endif
+#else /* ! YYPARSE_PARAM */
+#if defined __STDC__ || defined __cplusplus
 int yyparse (void);
+#else
+int yyparse ();
+#endif
+#endif /* ! YYPARSE_PARAM */
 
 #endif /* !YY_YY_YACC_PARSER_HPP_INCLUDED  */
Index: XIOS/trunk/src/parse_expr/yacc_parser.yacc
===================================================================
--- XIOS/trunk/src/parse_expr/yacc_parser.yacc	(revision 1001)
+++ XIOS/trunk/src/parse_expr/yacc_parser.yacc	(revision 1019)
@@ -42,9 +42,9 @@
 %token <str> VAR ID AVERAGE
 %token PLUS MINUS TIMES DIVIDE POWER
-%token EQ LT GT LE GE
+%token EQ LT GT LE GE NE
 %token LEFT_PARENTHESIS RIGHT_PARENTHESIS
 %token <str> END
 
-%left EQ LT GT LE GE
+%left EQ LT GT LE GE NE
 %left PLUS MINUS
 %left TIMES DIVIDE
@@ -77,4 +77,5 @@
           | Expression LE Expression  { $$ = new CScalarBinaryOpExprNode($1, "le", $3); }
           | Expression GE Expression  { $$ = new CScalarBinaryOpExprNode($1, "ge", $3); }
+          | Expression NE Expression  { $$ = new CScalarBinaryOpExprNode($1, "ne", $3); }
           | LEFT_PARENTHESIS Expression RIGHT_PARENTHESIS    { $$ = $2; }
           | ID LEFT_PARENTHESIS Expression RIGHT_PARENTHESIS { $$ = new CScalarUnaryOpExprNode(*$1, $3); delete $1; }
@@ -95,4 +96,5 @@
           | Field_expr LE Field_expr { $$ = new CFilterFieldFieldOpExprNode($1, "le", $3); }
           | Field_expr GE Field_expr { $$ = new CFilterFieldFieldOpExprNode($1, "ge", $3); }
+          | Field_expr NE Field_expr { $$ = new CFilterFieldFieldOpExprNode($1, "ne", $3); }
           | LEFT_PARENTHESIS Field_expr RIGHT_PARENTHESIS	{ $$ = $2; }
           | Field_expr PLUS Expression   { $$ = new CFilterFieldScalarOpExprNode($1, "add", $3); }
@@ -115,4 +117,6 @@
           | Field_expr GE Expression { $$ = new CFilterFieldScalarOpExprNode($1, "ge", $3); }
           | Expression GE Field_expr { $$ = new CFilterScalarFieldOpExprNode($1, "ge", $3); }
+          | Field_expr NE Expression { $$ = new CFilterFieldScalarOpExprNode($1, "ne", $3); }
+          | Expression NE Field_expr { $$ = new CFilterScalarFieldOpExprNode($1, "ne", $3); }
           | ID LEFT_PARENTHESIS Field_expr RIGHT_PARENTHESIS { $$ = new CFilterUnaryOpExprNode(*$1, $3); delete $1; }
           ;
